<?php
namespace WPIS;

class YesNoFilter {

    private static $supportedValues = ['0', '1', 0, 1, 'yes', 'no'];

    public static function transform( $value ){

        $booleanStrings = [__('Yes', 'wpis'), __('No', 'wpis')];
        $value = strtolower($value);

        if( ! in_array(strtolower($value), self::$supportedValues) ){
            return $value;
        }

        if( $value === 'yes' ){
            return  $booleanStrings[0];
        }

        if( $value === 'no' ){
            return  $booleanStrings[1];
        }

        $value = intval($value);

        return $booleanStrings[!$value];
    }
}